From 987906fca784158e7f1a06e87d152d7f47c18c89 Mon Sep 17 00:00:00 2001
From: Yang Hamo Bai <hamo.by@gmail.com>
Date: Thu, 30 Jun 2011 18:59:50 +0800
Subject: [PATCH 09/12] ARM: added layout for Versatile PB board

First, let's try to port coreboot to this board
since it can be emulated by QEMU.

Signed-off-by: Yang Hamo Bai <hamo.by@gmail.com>
---
 src/mainboard/Kconfig                     |    3 ++
 src/mainboard/armltd/Kconfig              |   17 +++++++++++++
 src/mainboard/armltd/versatile_pb/Kconfig |   38 +++++++++++++++++++++++++++++
 3 files changed, 58 insertions(+), 0 deletions(-)
 create mode 100644 src/mainboard/armltd/Kconfig
 create mode 100644 src/mainboard/armltd/versatile_pb/Kconfig

diff --git a/src/mainboard/Kconfig b/src/mainboard/Kconfig
index ed00318..136403a 100644
--- a/src/mainboard/Kconfig
+++ b/src/mainboard/Kconfig
@@ -16,6 +16,8 @@ config VENDOR_AMD
 	bool "AMD"
 config VENDOR_ARIMA
 	bool "Arima"
+config VENDOR_ARMLTD
+        bool "Armltd"
 config VENDOR_ARTEC_GROUP
 	bool "Artec Group"
 config VENDOR_ASI
@@ -130,6 +132,7 @@ source "src/mainboard/advansus/Kconfig"
 source "src/mainboard/advantech/Kconfig"
 source "src/mainboard/amd/Kconfig"
 source "src/mainboard/arima/Kconfig"
+source "src/mainboard/armltd/Kconfig"
 source "src/mainboard/artecgroup/Kconfig"
 source "src/mainboard/asi/Kconfig"
 source "src/mainboard/asrock/Kconfig"
diff --git a/src/mainboard/armltd/Kconfig b/src/mainboard/armltd/Kconfig
new file mode 100644
index 0000000..c24b467
--- /dev/null
+++ b/src/mainboard/armltd/Kconfig
@@ -0,0 +1,17 @@
+if VENDOR_ARMLTD
+
+choice
+	prompt "Mainboard model"
+
+config BOARD_ARMLTD_VERSATILE_PB
+    bool "Versatile PB"
+
+endchoice
+
+source "src/mainboard/armltd/versatile_pb/Kconfig"
+
+config MAINBOARD_VENDOR
+	string
+	default "Armltd"
+
+endif # VENDOR_EMULATION
diff --git a/src/mainboard/armltd/versatile_pb/Kconfig b/src/mainboard/armltd/versatile_pb/Kconfig
new file mode 100644
index 0000000..49cbe09
--- /dev/null
+++ b/src/mainboard/armltd/versatile_pb/Kconfig
@@ -0,0 +1,38 @@
+if BOARD_ARMLTD_VERSATILE_PB
+
+config BOARD_SPECIFIC_OPTIONS # dummy
+       def_bool y
+       select ARCH_ARM
+       select CPU_ARM926EJS
+       select CPU_VERSATILE
+
+config MAINBOARD_DIR
+       string
+       default armltd/versatile_pb
+
+config MAINBOARD_PART_NUMBER
+       string
+       default "Versatile PB"
+
+config IOBASE
+       hex
+       default 0x0
+
+config ROMBASE
+       hex
+       default 0x10000
+
+config RAMBASE
+       hex
+       default 0x0
+
+config SERIAL_PORT
+       hex
+       default 0x101F1000
+
+config PL011_CLOCK
+       int
+       default 24000000
+
+endif # BOARD_ARMLTD_VERSATILE_PB
+
-- 
1.7.6

